Index: netatalk-2.0.3/bin/cnid/cnid_index.c
===================================================================
--- netatalk-2.0.3.orig/bin/cnid/cnid_index.c
+++ netatalk-2.0.3/bin/cnid/cnid_index.c
@@ -274,7 +274,11 @@ static int dbif_count(const int dbi, u_i
     DB_BTREE_STAT *sp;
     DB *db = db_table[dbi].db;
 
+#if DB_VERSION_MAJOR > 4 || ( DB_VERSION_MAJOR == 4 && DB_VERSION_MINOR >= 3 )
+    ret = db->stat(db, db_txn, &sp, 0);
+#else
     ret = db->stat(db, &sp, 0);
+#endif
 
     if (ret) {
         LOG(log_error, logtype_cnid, "error getting stat infotmation on database: %s", db_strerror(errno));
Index: netatalk-2.0.3/etc/cnid_dbd/dbif.c
===================================================================
--- netatalk-2.0.3.orig/etc/cnid_dbd/dbif.c
+++ netatalk-2.0.3/etc/cnid_dbd/dbif.c
@@ -514,7 +514,11 @@ int dbif_count(const int dbi, u_int32_t 
     DB_BTREE_STAT *sp;
     DB *db = db_table[dbi].db;
 
+#if DB_VERSION_MAJOR > 4 || ( DB_VERSION_MAJOR == 4 && DB_VERSION_MINOR >= 3 )
+    ret = db->stat(db, db_txn, &sp, 0);
+#else
     ret = db->stat(db, &sp, 0);
+#endif
 
     if (ret) {
         LOG(log_error, logtype_cnid, "error getting stat infotmation on database: %s", db_strerror(errno));
